#include <stdio.h>

int main()
{
    int a = 10, b = 20;
    int *p = &a, *q = &b;

    a += b++;

    printf("*p = %d\n", *p);
    printf("*q = %d\n", *q);

    *q += *p;
    printf("*q = %d, *p = %d\n", *q, *p);
    return 0;
}